Bug 741645 - [RFE] reporter-bugzilla: don't allow sending attachment bigger than 20000kB
[RFE] reporter-bugzilla: don't allow sending attachment bigger than 20000kB
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
All Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
Reported: 2011-09-27 09:57 EDT by Mads Kiilerich
Modified: 2013-02-26 10:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-26 10:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2011-09-27 09:57:39 EDT
While reporting a crash with abrt-gui- it seemed like the client was hanging with all buttons greyed out and no way to interrupt, but then it shows:

--- Running report_Bugzilla ---
Logging into Bugzilla at https://bugzilla.redhat.com
Checking for duplicates
Creating a new bug
New bug id: 741639
Adding attachments to bug 741639
fatal: XML-RPC(32000): RPC failed at server.  The file you are trying to attach is 76844 kilobytes (KB) in size. Attachments cannot be more than 20000 KB. We recommend that you store your attachment elsewhere and then specify the URL to this file on the attachment creation page in the AttachURL field. Alternately, if your attachment is an image, you could convert it to a compressible format like JPG or PNG and try again.
(exited with 1)

I would expect that it shouldn't try to upload so big attachments and that it should be possible to cancel.

It also shouldn't show the 400 character message unwrapped in one line.
Comment 1 Nikola Pajkovsky 2011-09-27 10:30:05 EDT
we are hitting the limitation of the xmlrpc-c library.

I'm going to try find any information about the attachment limitation and if it's possible to get the limit before sending attachment.

I can't give you any progress bar or anything similar to get you know how much you've uploaded. The xmlrpc-c library does give literary nothing and bugzilla's xmlrpc is stupidly limited also.

Cancellation is also problem. I can give you the opportunity to cancel the process (it's reporter-bugzilla) but I can't undo any changes in bugzilla. If creation of new bug succeed and adding the attachment fails (or is canceled) there is no way how to remove the new bug report from bugzilla.
Comment 2 Nikola Pajkovsky 2012-10-04 03:53:27 EDT
commit 345604c3c82db4644ef5b9c6fdcd7c489931adcd
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Thu Sep 29 12:04:56 2011 +0200

    Bugzilla has 20MB limit for attachment, lower from INT_MAX / 2
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>
Comment 3 Fedora End Of Life 2013-01-16 16:27:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Fedora End Of Life 2013-02-26 10:23:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.